/***************************************************************************//**
 * @file
 * @brief HTTP Server Rest Hooks Example
 *******************************************************************************
 * # License
 * <b>Copyright 2018 Silicon Laboratories Inc. www.silabs.com</b>
 *******************************************************************************
 *
 * The licensor of this software is Silicon Laboratories Inc.  Your use of this
 * software is governed by the terms of Silicon Labs Master Software License
 * Agreement (MSLA) available at
 * www.silabs.com/about-us/legal/master-software-license-agreement.  This
 * software is distributed to you in Source Code format and is governed by the
 * sections of the MSLA applicable to Source Code.
 *
 ******************************************************************************/

/********************************************************************************************************
 ********************************************************************************************************
 *                                               MODULE
 ********************************************************************************************************
 *******************************************************************************************************/

#ifndef  EX_HTTP_SERVER_REST_HOOKS_H
#define  EX_HTTP_SERVER_REST_HOOKS_H

/********************************************************************************************************
 ********************************************************************************************************
 *                                            INCLUDE FILES
 ********************************************************************************************************
 *******************************************************************************************************/

#include  <net/include/http_server_addon_rest.h>

/********************************************************************************************************
 ********************************************************************************************************
 *                                          GLOBAL VARIABLES
 ********************************************************************************************************
 *******************************************************************************************************/

/********************************************************************************************************
 *                                           REST RESOURCES
 *******************************************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

extern HTTPs_REST_RESOURCE Ex_HTTP_Server_REST_ListResource;
extern HTTPs_REST_RESOURCE Ex_HTTP_Server_REST_UserResource;
extern HTTPs_REST_RESOURCE Ex_HTTP_Server_REST_FileResource;

/********************************************************************************************************
 ********************************************************************************************************
 *                                         FUNCTION PROTOTYPES
 ********************************************************************************************************
 *******************************************************************************************************/

void Ex_HTTP_Server_REST_MemInit(void);

#ifdef __cplusplus
}
#endif

/********************************************************************************************************
 ********************************************************************************************************
 *                                             MODULE END
 ********************************************************************************************************
 *******************************************************************************************************/

#endif
